Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Error in Papyrus Setup with Eclipse Installer
Error in Papyrus Setup with Eclipse Installer [message #1827163] Fri, 08 May 2020 17:46 Go to next message
Susanne Fuchs is currently offline Susanne FuchsFriend
Messages: 27
Registered: March 2020
Junior Member
Hi,

I tried setting up Papyrus with the Eclipse Installer again. The workspace is created and the papyrus git repository downloaded, but afterwards I keep getting the following error, also when I use the Eclipse Updater. The complete log is in the attachments. Can I change any settings to avoid this?


ERROR: org.eclipse.pde.core code=0 Problems occurred while resolving the target contents
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.util.pde.TargetPlatformUtil.activateTargetDefinition(TargetPlatformUtil.java:151)
at org.eclipse.oomph.targlets.internal.core.TargletContainer.forceUpdate(TargletContainer.java:813)
at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl$4.run(TargletTaskImpl.java:1173)
at org.eclipse.oomph.util.pde.TargetPlatformUtil.runWithTargetPlatformService(TargetPlatformUtil.java:120)
at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl.perform(TargletTaskImpl.java:1034)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3827)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:3770)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:5136)
at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2295)
at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2322)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:5130)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:5128)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3761)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3736)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3629)
at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:585)
at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:711)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
ERROR: org.eclipse.equinox.p2.metadata.repository code=1000 No repository found at http://download.eclipse.org/modeling/mdt/ocl/updates/milestones/6.7.0/S201903111843.


index.php/fa/38069/0/
index.php/fa/38070/0/

[Updated on: Fri, 08 May 2020 17:52]

Report message to a moderator

Re: Error in Papyrus Setup with Eclipse Installer [message #1827166 is a reply to message #1827163] Fri, 08 May 2020 19:01 Go to previous messageGo to next message
Carsten Pitz is currently offline Carsten PitzFriend
Messages: 273
Registered: May 2015
Location: Germany
Senior Member
Oomph, ...
Well, yes I do not know that one, but a also had weird moments with Oomph.

BTW, why do you use Oomph to setup your installation?

/Carsten
Re: Error in Papyrus Setup with Eclipse Installer [message #1827215 is a reply to message #1827166] Sun, 10 May 2020 19:47 Go to previous messageGo to next message
Susanne Fuchs is currently offline Susanne FuchsFriend
Messages: 27
Registered: March 2020
Junior Member
Hi Carsten,

I used Oomph because here here https://wiki.eclipse.org/Papyrus/Papyrus_Developer_Guide#Papyrus_Oomph_Setup_Model it's described as the easiest way to set up Eclipse with the Papyrus code. Is there a better way?
Re: Error in Papyrus Setup with Eclipse Installer [message #1827223 is a reply to message #1827215] Mon, 11 May 2020 05:26 Go to previous messageGo to next message
Carsten Pitz is currently offline Carsten PitzFriend
Messages: 273
Registered: May 2015
Location: Germany
Senior Member
My way of doing this, is to get the modeling variant of Eclipse, install Papyrus on top using the standard new Software menu and afterwards install the Papyrus add-on (I guess the Designer).
/Carsten
Re: Error in Papyrus Setup with Eclipse Installer [message #1827230 is a reply to message #1827223] Mon, 11 May 2020 07:27 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 934
Registered: February 2011
Senior Member
Hi Susanne,

The Oomph setup is designed for Papyrus Developers, and as such, is subject to a higher instability than other approaches. Especially, developer setups may require Nightly or Integration/Milestone dependencies, that typically do not exist for a long period of time, and might simply disappear (As seems to be the case here).

http://download.eclipse.org/modeling/mdt/ocl/updates/milestones/6.7.0/S201903111843 is a very old milestone of OCL (1+ year old), so I'm not sure why it's still referenced in the Oomph setup; probably an oversight. It should be replaced with the latest Release or Milestone. But only the maintainer(s) of the Papyrus Oomph setup can take care of that.

HTH,
Camille


Camille Letavernier
Re: Error in Papyrus Setup with Eclipse Installer [message #1827248 is a reply to message #1827230] Mon, 11 May 2020 12:24 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6984
Registered: July 2009
Senior Member
Hi

OCL 6.7.0 is so old you need to go to archive.eclipse.org.

There is a /latest to avoid number chasing.

OOMPH can be great when it works, but when it doesn't, it adds an extra level of buggy obscure abstractions. I much prefer to pick a time, the download all the ZIPs for that time and install from ZIP.

Regards

Ed Willink
Re: Error in Papyrus Setup with Eclipse Installer [message #1827437 is a reply to message #1827248] Thu, 14 May 2020 13:44 Go to previous messageGo to next message
Susanne Fuchs is currently offline Susanne FuchsFriend
Messages: 27
Registered: March 2020
Junior Member
Hey, thank you all for your replies! I guess I'll avoid using Oomph in the future :D
Re: Error in Papyrus Setup with Eclipse Installer [message #1827444 is a reply to message #1827437] Thu, 14 May 2020 15:28 Go to previous message
Carsten Pitz is currently offline Carsten PitzFriend
Messages: 273
Registered: May 2015
Location: Germany
Senior Member
BTW, which of the 151 Susanne Fuchs XING lists are you. I would like to contact you. Maybe you can invite me as Carsten Pitz is unique so far.
/Carsten
Previous Topic:Feature request
Next Topic:Can't convert diagram to PapyrusUMLComponentDiagram
Goto Forum:
  


Current Time: Sat Jan 16 13:13:45 GMT 2021

Powered by FUDForum. Page generated in 0.02724 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top